Raritan PX2/PX3 JSON-RPC API

Public Attributes | List of all members
lhxmodel::Lhx_3_2_4::AlertStatus Struct Reference

LHX alert status. More...

`import"Lhx.idl";`

## Public Attributes
vector< boolean > | sensorFailure
| Sensor failure (broken or short circuit)
vector< boolean > | fanFailure
| Fan motor failure.
vector< boolean > | powerSupplyFailure
| Power supply failure.
boolean | thresholdAirOutlet
| The air outlet temperature threshold was crossed.
boolean | thresholdAirInlet
| The air inlet temperature threshold was crossed.
boolean | thresholdWaterInlet
| The water inlet temperature threshold was crossed.
boolean | doorOpened
| The door was opened.
boolean | maximumCoolingRequest
| Maximum cooling was requested.
boolean | emergencyCooling
| LHX is in emergency cooling mode.
boolean | waterLeak
| Water leakage was detected.
boolean | thresholdHumidity
| The humidity threshold was crossed.
boolean | externalWaterCoolingFailure
| An external water cooling failure occurred.
boolean | thresholdWaterOutlet
| The water outlet temperature threshold was crossed.
boolean | stBusError
| ST-Bus communication error.
boolean | condenserPumpFailure
| Condenser pump failure occurred.
boolean | baseElectronicsFailure
| Base electronics failure occurred.
boolean | voltageLow
| The battery voltage is low.

## Detailed Description

LHX alert status.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/Lhx.idl